Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.storage
Class DerivedWorldInfo

    java.lang.Object
      net.minecraft.world.storage.WorldInfo
          net.minecraft.world.storage.DerivedWorldInfo

    public class DerivedWorldInfo

extends WorldInfo

Constructor Summary
`DerivedWorldInfo(WorldInfo par1WorldInfo)`

Method Summary
`boolean` | `areCommandsAllowed()` Returns true if commands are allowed on this World.
`NBTTagCompound` | `cloneNBTCompound(NBTTagCompound par1NBTTagCompound)` Creates a new NBTTagCompound for the world, with the given NBTTag as the "Player"
`int` | `getDimension()`
`GameRules` | `getGameRulesInstance()` Gets the GameRules class Instance.
`EnumGameType` | `getGameType()` Gets the GameType.
`long` | `getLastTimePlayed()`
`NBTTagCompound` | `getNBTTagCompound()` Gets the NBTTagCompound for the worldInfo
`NBTTagCompound` | `getPlayerNBTTagCompound()` Returns the player's NBTTagCompound to be loaded
`int` | `getRainTime()` Return the number of ticks until rain.
`int` | `getSaveVersion()` Returns the save version of this world
`long` | `getSeed()` Returns the seed of current world.
`long` | `getSizeOnDisk()`
`int` | `getSpawnX()` Returns the x spawn position
`int` | `getSpawnY()` Return the Y axis spawning point of the player.
`int` | `getSpawnZ()` Returns the z spawn position
`WorldType` | `getTerrainType()`
`int` | `getThunderTime()` Returns the number of ticks until next thunderbolt.
`String` | `getWorldName()` Get current world name
`long` | `getWorldTime()` Get current world time
`long` | `getWorldTotalTime()`
`void` | `incrementTotalWorldTime(long par1)`
`boolean` | `isHardcoreModeEnabled()` Returns true if hardcore mode is enabled, otherwise false
`boolean` | `isInitialized()` Returns true if the World is initialized.
`boolean` | `isMapFeaturesEnabled()` Get whether the map features (e.g.
`boolean` | `isRaining()` Returns true if it is raining, false otherwise.
`boolean` | `isThundering()` Returns true if it is thundering, false otherwise.
`void` | `setRaining(boolean par1)` Sets whether it is raining or not.
`void` | `setRainTime(int par1)` Sets the number of ticks until rain.
`void` | `setSaveVersion(int par1)` Sets the save version of the world
`void` | `setServerInitialized(boolean par1)` Sets the initialization status of the World.
`void` | `setSpawnPosition(int par1, int par2, int par3)` Sets the spawn zone position.
`void` | `setSpawnX(int par1)`
`void` | `setSpawnY(int par1)`
`void` | `setSpawnZ(int par1)`
`void` | `setTerrainType(WorldType par1WorldType)`
`void` | `setThundering(boolean par1)` Sets whether it is thundering or not.
`void` | `setThunderTime(int par1)` Defines the number of ticks until next thunderbolt.
`void` | `setWorldName(String par1Str)`
`void` | `setWorldTime(long par1)` Set current world time

Methods inherited from class net.minecraft.world.storage.WorldInfo
`func_82571_y, func_85118_a, getAdditionalProperty, setAdditionalProperties, setGameType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedWorldInfo

    public DerivedWorldInfo(WorldInfo par1WorldInfo)

Method Detail

### getNBTTagCompound

    public NBTTagCompound getNBTTagCompound()

  Gets the NBTTagCompound for the worldInfo

  Overrides:
    `getNBTTagCompound` in class `WorldInfo`

### cloneNBTCompound

    public NBTTagCompound cloneNBTCompound(NBTTagCompound par1NBTTagCompound)

  Creates a new NBTTagCompound for the world, with the given NBTTag as the "Player"

  Overrides:
    `cloneNBTCompound` in class `WorldInfo`

### getSeed

    public long getSeed()

  Returns the seed of current world.

  Overrides:
    `getSeed` in class `WorldInfo`

### getSpawnX

    public int getSpawnX()

  Returns the x spawn position

  Overrides:
    `getSpawnX` in class `WorldInfo`

### getSpawnY

    public int getSpawnY()

  Return the Y axis spawning point of the player.

  Overrides:
    `getSpawnY` in class `WorldInfo`

### getSpawnZ

    public int getSpawnZ()

  Returns the z spawn position

  Overrides:
    `getSpawnZ` in class `WorldInfo`

### getWorldTotalTime

    public long getWorldTotalTime()

  Overrides:
    `getWorldTotalTime` in class `WorldInfo`

### getWorldTime

    public long getWorldTime()

  Get current world time

  Overrides:
    `getWorldTime` in class `WorldInfo`

### getSizeOnDisk

    public long getSizeOnDisk()

  Overrides:
    `getSizeOnDisk` in class `WorldInfo`

### getPlayerNBTTagCompound

    public NBTTagCompound getPlayerNBTTagCompound()

  Returns the player's NBTTagCompound to be loaded

  Overrides:
    `getPlayerNBTTagCompound` in class `WorldInfo`

### getDimension

    public int getDimension()

  Overrides:
    `getDimension` in class `WorldInfo`

### getWorldName

    public String getWorldName()

  Get current world name

  Overrides:
    `getWorldName` in class `WorldInfo`

### getSaveVersion

    public int getSaveVersion()

  Returns the save version of this world

  Overrides:
    `getSaveVersion` in class `WorldInfo`

### getLastTimePlayed

    public long getLastTimePlayed()

  Overrides:
    `getLastTimePlayed` in class `WorldInfo`

### isThundering

    public boolean isThundering()

  Returns true if it is thundering, false otherwise.

  Overrides:
    `isThundering` in class `WorldInfo`

### getThunderTime

    public int getThunderTime()

  Returns the number of ticks until next thunderbolt.

  Overrides:
    `getThunderTime` in class `WorldInfo`

### isRaining

    public boolean isRaining()

  Returns true if it is raining, false otherwise.

  Overrides:
    `isRaining` in class `WorldInfo`

### getRainTime

    public int getRainTime()

  Return the number of ticks until rain.

  Overrides:
    `getRainTime` in class `WorldInfo`

### getGameType

    public EnumGameType getGameType()

  Gets the GameType.

  Overrides:
    `getGameType` in class `WorldInfo`

### setSpawnX

    public void setSpawnX(int par1)

  Overrides:
    `setSpawnX` in class `WorldInfo`

### setSpawnY

    public void setSpawnY(int par1)

  Overrides:
    `setSpawnY` in class `WorldInfo`

### incrementTotalWorldTime

    public void incrementTotalWorldTime(long par1)

  Overrides:
    `incrementTotalWorldTime` in class `WorldInfo`

### setSpawnZ

    public void setSpawnZ(int par1)

  Overrides:
    `setSpawnZ` in class `WorldInfo`

### setWorldTime

    public void setWorldTime(long par1)

  Set current world time

  Overrides:
    `setWorldTime` in class `WorldInfo`

### setSpawnPosition

    public void setSpawnPosition(int par1,
                                 int par2,
                                 int par3)

  Sets the spawn zone position. Args: x, y, z

  Overrides:
    `setSpawnPosition` in class `WorldInfo`

### setWorldName

    public void setWorldName(String par1Str)

  Overrides:
    `setWorldName` in class `WorldInfo`

### setSaveVersion

    public void setSaveVersion(int par1)

  Sets the save version of the world

  Overrides:
    `setSaveVersion` in class `WorldInfo`

### setThundering

    public void setThundering(boolean par1)

  Sets whether it is thundering or not.

  Overrides:
    `setThundering` in class `WorldInfo`

### setThunderTime

    public void setThunderTime(int par1)

  Defines the number of ticks until next thunderbolt.

  Overrides:
    `setThunderTime` in class `WorldInfo`

### setRaining

    public void setRaining(boolean par1)

  Sets whether it is raining or not.

  Overrides:
    `setRaining` in class `WorldInfo`

### setRainTime

    public void setRainTime(int par1)

  Sets the number of ticks until rain.

  Overrides:
    `setRainTime` in class `WorldInfo`

### isMapFeaturesEnabled

    public boolean isMapFeaturesEnabled()

  Get whether the map features (e.g. strongholds) generation is enabled or disabled.

  Overrides:
    `isMapFeaturesEnabled` in class `WorldInfo`

### isHardcoreModeEnabled

    public boolean isHardcoreModeEnabled()

  Returns true if hardcore mode is enabled, otherwise false

  Overrides:
    `isHardcoreModeEnabled` in class `WorldInfo`

### getTerrainType

    public WorldType getTerrainType()

  Overrides:
    `getTerrainType` in class `WorldInfo`

### setTerrainType

    public void setTerrainType(WorldType par1WorldType)

  Overrides:
    `setTerrainType` in class `WorldInfo`

### areCommandsAllowed

    public boolean areCommandsAllowed()

  Returns true if commands are allowed on this World.

  Overrides:
    `areCommandsAllowed` in class `WorldInfo`

### isInitialized

    public boolean isInitialized()

  Returns true if the World is initialized.

  Overrides:
    `isInitialized` in class `WorldInfo`

### setServerInitialized

    public void setServerInitialized(boolean par1)

  Sets the initialization status of the World.

  Overrides:
    `setServerInitialized` in class `WorldInfo`

### getGameRulesInstance

    public GameRules getGameRulesInstance()

  Gets the GameRules class Instance.

  Overrides:
    `getGameRulesInstance` in class `WorldInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD